Index: /trunk/dports/devel/hs-platform-haskell-src/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-haskell-src/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-haskell-src/Portfile	(revision 98944)
@@ -1,30 +1,22 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	haskell-src 1.0.1.3
-name		hs-platform-haskell-src
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   haskell-src 1.0.1.5
+checksums               rmd160  32a53bab9f1e150565cbed0c926816e4089dd966 \
+                        sha256  9f3726902247cc955d085997254bb58c16cc337ee83de5ccfb17dcbcb488c3ab
 
-description	Manipulating Haskell source code
-long_description	\
-	Facilities for manipulating Haskell source code:	\
-	an abstract syntax, lexer, parser and pretty-printer.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     27ec8f55eca844852815f916935f192d \
-		sha1    21b14d8b885e9a2ca6b4226d7619b7ca966097fe \
-		rmd160  5c9320e39b3ad0160ce4aa7fefa31218bb1b3a4f
+depends_lib-append      port:hs-platform-syb
 
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    The haskell-src package provides support for manipulating Haskell source \
+    code. The package provides a lexer, parser and pretty-printer, and \
+    a definition of a Haskell abstract syntax tree (AST). Common uses of this \
+    package are to parse or generate Haskell 98 code.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-html/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-html/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-html/Portfile	(revision 98944)
@@ -1,30 +1,17 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	html 1.0.1.2
-name		hs-platform-html
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   html 1.0.1.2
+checksums               rmd160  55d95a42c297c9c4b0b0c3bbd077a5ed59e48878 \
+                        sha256  0c35495ea33d65e69c69bc7441ec8e1af69fbb43433c2aa3406c0a13a3ab3061
 
-description	HTML combinator library
-long_description	\
-        This package contains a combinator library for constructing	\
-        HTML documents.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     2a7de5a2af9a2f80d39825d6a95ee445 \
-		sha1    3075f689b29d28229e09a3d2aefa2bfbb008d1da \
-		rmd160  55d95a42c297c9c4b0b0c3bbd077a5ed59e48878
-
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    This package contains a combinator library for constructing HTML documents.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-http/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-http/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-http/Portfile	(revision 98944)
@@ -0,0 +1,35 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   http 4000.2.3
+checksums               rmd160  70bb2e353a63eeb896664dadf1b3313a0867439b \
+                        sha256  00f59f751a53a0cd766d59cffb3a97fc001189797861ce4aa28d4bea672efafc
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+depends_lib-append      port:hs-platform-network \
+                        port:hs-platform-mtl \
+                        port:hs-platform-parsec
+
+description             \
+    The HTTP package supports client-side web programming in Haskell. It lets \
+    you set up HTTP connections, transmitting requests and processing the \
+    responses coming back, all from within the comforts of Haskell. It's \
+    dependent on the network package to operate, but other than that, the \
+    implementation is all written in Haskell.
+long_description        ${description} \
+    A basic API for issuing single HTTP requests + receiving responses is \
+    provided. On top of that, a session-level abstraction is also on offer (the \
+    BrowserAction monad): it taking care of handling the management of \
+    persistent connections, proxies, state (cookies) and authentication \
+    credentials required to handle multi-step interactions with a web server. \
+    \
+    The representation of the bytes flowing across is extensible via the use of \
+    a type class, letting you pick the representation of requests and responses \
+    that best fits your use. Some pre-packaged, common instances are provided \
+    for you (ByteString, String.)
Index: /trunk/dports/devel/hs-platform-hunit/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-hunit/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-hunit/Portfile	(revision 98944)
@@ -0,0 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   HUnit 1.2.4.2
+checksums               rmd160  a8a8dca99fc5f6fd37a35e7e71305d195e2a52e2 \
+                        sha256  fdbcbc28196d616b449bf3e46c30dcd5577dc92f290458e2dbdbfc5a65de327a
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    HUnit is a unit testing framework for Haskell, inspired by the JUnit tool \
+    for Java, see: http://www.junit.org.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-mtl/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-mtl/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-mtl/Portfile	(revision 98944)
@@ -1,28 +1,22 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	mtl 1.1.0.2
-name		hs-platform-mtl
-license		BSD
-maintainers	nomaintainer
-description	A monad transformer library (platform version)
-long_description    ${description}
+haskellplatform.setup   mtl 2.1.1
+checksums               rmd160  fe0479fa638235cdd3e660492ed7de269116ecb1 \
+                        sha256  9250831796b1678380d915d2953ce94fa466af8d5c92d0c569963f0f0b037a90
 
-platforms	darwin
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     1e933bb7abb38b7bb423929ba37219db \
-		sha1    883deca3cdf8052173c995b741bdedccc3c91440 \
-		rmd160  e7032fc069c8b24b97725b259d2e6fb05ace208b
+depends_lib-append      port:hs-platform-transformers
 
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling	\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    Monad classes using functional dependencies, with instances for various \
+    monad transformers, inspired by the paper Functional Programming with \
+    Overloading and Higher-Order Polymorphism, by Mark P Jones, in Advanced \
+    School of Functional Programming, 1995
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-network/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-network/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-network/Portfile	(revision 98944)
@@ -1,30 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	network 2.2.1.4
-name		hs-platform-network
-maintainers	nomaintainer
-license		BSD
-platforms	darwin
+haskellplatform.setup   network 2.3.0.13
+checksums               rmd160  0868efbc6fa8096a5979bd551a30c9f36c45e275 \
+                        sha256  0747e9091dd5ba220c31f77116c9edfe9ac6726090d58e55221371b63f1b8577
 
-description	Networking related facilities
-long_description	\
-	${description}
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     639baaeeb9ccc2f2013bbfa3b376f14b \
-		sha1    1c4a6856d51336df34fc6e33a1d683b22d18ba25 \
-		rmd160  b59a8d5467d10eba7065106efb4994ee77a72b91
+depends_lib-append      port:hs-platform-parsec
 
-depends_lib	port:ghc			\
-		port:hs-platform-parsec
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             Low-level networking interface
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-opengl/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-opengl/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-opengl/Portfile	(revision 98944)
@@ -0,0 +1,22 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   OpenGL 2.2.3.1
+checksums               rmd160  659311f405866b77b0ff74aa3708e71431a3372c \
+                        sha256  9f8425e36994f6602b66059490d00f5f7d7d59dbb97185c2054c5673688885ee
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    A Haskell binding for the OpenGL graphics system (GL, version 3.2) and its \
+    accompanying utility library (GLU, version 1.3).
+long_description        ${description} \
+    OpenGL is the industry's most widely used and supported 2D and 3D graphics \
+    application programming interface (API), incorporating a broad set of \
+    rendering, texture mapping, special effects, and other powerful \
+    visualization functions.
Index: /trunk/dports/devel/hs-platform-parallel/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-parallel/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-parallel/Portfile	(revision 98944)
@@ -1,29 +1,16 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	parallel 1.1.0.1
-name		hs-platform-parallel
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   parallel 3.2.0.2
+checksums               rmd160  87c7144c8349b7e05533b58826e872050b8abe83 \
+                        sha256  82569faa2ca3245c61cc71731abd7d3595372d4cf09c659ee52740be1a3bc66b
 
-description	parallel programmming library
-long_description	\
-	This package provides a library for parallel programming.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     70fda9f7721f9a3dc8aaf2e24d1846e0 \
-		sha1    39bcd5c8a896914c7ddc853049005a71a4eaabb6 \
-		rmd160  326fb117d411065eec3acf89ddceb7e44d5aee7c
-
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             This package provides a library for parallel programming.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-parsec/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-parsec/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-parsec/Portfile	(revision 98944)
@@ -1,34 +1,24 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	parsec 2.1.0.1
-name		hs-platform-parsec
-license		BSD
-maintainers	nomaintainer
-description	Monadic parser combinators for Haskell (platform version)
-long_description	\
-	Parsec is designed from scratch as an industrial-strength \
-	parser library. It is simple, safe, well documented, has \
-	extensive libraries and good error messages, and is also \
-	fast. It is defined as a monad transformer that can be \
-	stacked on arbitrary monads, and it is also parametric \
-	in the input stream type.
+haskellplatform.setup   parsec 3.1.2
+checksums               rmd160  f360e4b209a56f193eca65b71bb13b95948b7042 \
+                        sha256  90f124b91f5e4ff04ddd4dc7f43aeda1273b8caec6a58ec13b90ca22854c1652
 
-platforms	darwin
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     557d935019ec4d966f2103fdf1a8c559 \
-		sha1    f09c7fcbf66c39cc4de2a50dbb1374ba82168b52 \
-		rmd160  95ddc9199f1da5e0773db2f653d394dbe07974ee
+depends_lib-append      port:hs-platform-mtl \
+                        port:hs-platform-text
 
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling	\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    Parsec is designed from scratch as an industrial-strength parser library. \
+    It is simple, safe, well documented (on the package homepage), has \
+    extensive libraries and good error messages, and is also fast. It is \
+    defined as a monad transformer that can be stacked on arbitrary monads, \
+    and it is also parametric in the input stream type.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-quickcheck/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-quickcheck/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-quickcheck/Portfile	(revision 98944)
@@ -0,0 +1,26 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   QuickCheck 2.4.2
+checksums               rmd160  e87ece5bab2f3582265160734b3be50a596ec19e \
+                        sha256  6f05c399ae7b70c09ab21337caf1211f43fd76d6ad9b3814a4009ddbf438179f
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+depends_lib-append      port:hs-platform-random
+
+description             \
+    QuickCheck is a library for random testing of program properties.
+long_description        ${description} \
+    The programmer provides a specification of the program, in the form of \
+    properties which functions should satisfy, and QuickCheck then tests that \
+    the properties hold in a large number of randomly generated cases. \
+    \
+    Specifications are expressed in Haskell, using combinators defined in the \
+    QuickCheck library. QuickCheck provides combinators to define properties, \
+    observe the distribution of test data, and define test data generators.
Index: /trunk/dports/devel/hs-platform-random/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-random/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-random/Portfile	(revision 98944)
@@ -0,0 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   random 1.0.1.1
+checksums               rmd160  a13a4d7fefd15611cf863f11caf212efede320c3 \
+                        sha256  df7c3b405de0ac27a2ee8fdc8dad87cb42e8eac01fef53861e43bc47c8111559
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    This package provides a basic random number generation library, including \
+    the ability to split random number generators.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-regex-base/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-regex-base/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-regex-base/Portfile	(revision 98944)
@@ -1,29 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	regex-base 0.72.0.2
-name		hs-platform-regex-base
-maintainers	nomaintainer
-license		BSD
-platforms	darwin
+haskellplatform.setup   regex-base 0.93.2
+checksums               rmd160  c009e193dd453666c7c3b585a25f3a8add7ec6b6 \
+                        sha256  20dc5713a16f3d5e2e6d056b4beb9cfdc4368cd09fd56f47414c847705243278
 
-description	A replacement for Haskell's Text.Regex
-long_description	\
-	Interface API for regex-posix, pcre, parsec, dfa
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-homepage	http://sourceforge.net/projects/lazy-regex
+depends_lib-append      port:hs-platform-mtl
 
-checksums	md5     f2eeb11fecaafaf903fc6211e19258ce \
-		sha1    6e113b980462938a9821b0fe23a9f40b70c05cea \
-		rmd160  d26b3fcb95bac459c9e52c0dbb0810ac002509c7
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             Interface API for regex-posix,pcre,parsec,tdfa,dfa
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-regex-compat/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-regex-compat/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-regex-compat/Portfile	(revision 98944)
@@ -1,33 +1,19 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	regex-compat 0.71.0.1
-name		hs-platform-regex-compat
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   regex-compat 0.95.1
+checksums               rmd160  b2fe02ca3c4e9027b2d433c8a265b19a85c8bd17 \
+                        sha256  d57cb1a5a4d66753b18eaa37a1621246f660472243b001894f970037548d953b
 
-description	A replacement for Haskell's Text.Regex
-long_description	\
-	One module layer over regex-posix to replace Text.Regex
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-homepage	http://sourceforge.net/projects/lazy-regex
+depends_lib-append      port:hs-platform-regex-base \
+                        port:hs-platform-regex-posix
 
-checksums	md5     c939571633f1245982ae20d09b07cc00 \
-		sha1    dd953c99d20c2e0e7d69dd6b7c82eaa51488e695 \
-		rmd160  1f017c1fa1ca9dfcccf3da4760bcc8f999fb56e9
-
-depends_lib	port:ghc			\
-		port:hs-platform-regex-base	\
-		port:hs-platform-regex-posix
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             One module layer over regex-posix to replace Text.Regex
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-regex-posix/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-regex-posix/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-regex-posix/Portfile	(revision 98944)
@@ -1,32 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	regex-posix 0.72.0.3
-name		hs-platform-regex-posix
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   regex-posix 0.95.1
+checksums               rmd160  eee72b352cc887d919d179969b3d9535805d235d \
+                        sha256  74ed145b1a5b3c766a2694a58661f1d5e03a8dee283c5ddb9d689cff16efef0a
 
-description	A replacement for Haskell's Text.Regex
-long_description	\
-	The posix backend for regex-base
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-homepage	http://sourceforge.net/projects/lazy-regex
+depends_lib-append      port:hs-platform-regex-base
 
-checksums	md5     94eaac0d07a5ad18276d86f9a65a4e25 \
-		sha1    b75f5bc6957dcb7a6dddc024ccb282d36fae28a7 \
-		rmd160  f2da6d572e89a81632d8e5e71b45a3bafd967db1
-
-depends_lib	port:ghc	\
-		port:hs-platform-regex-base
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             The posix regex backend for regex-base
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-stm/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-stm/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-stm/Portfile	(revision 98944)
@@ -1,29 +1,16 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	stm 2.1.1.2
-name		hs-platform-stm
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   stm 2.3
+checksums               rmd160  676eafbe7043a44317aa25e922518d1fc41e5852 \
+                        sha256  557f5ad39292ee862b1ce22ed96be03130b404b43288380e6fd8ee3a71a0418c
 
-description	Software transactional memory
-long_description	\
-	A modular composable concurrency abstraction
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     159eaa40d86e48f4169c25ab91d69b6d \
-		sha1    f0b8264a0fa3a04163ccda0c7250a8c87edcf06e \
-		rmd160  52b0bd58cfd1f3d737dcc1a96b0c0da83d9ee821
-
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             A modular composable concurrency abstraction.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-syb/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-syb/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-syb/Portfile	(revision 98944)
@@ -0,0 +1,21 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   syb 0.3.6.1
+checksums               rmd160  85fb7017cc478b74d860c99250f1a5b0382683c9 \
+                        sha256  646cfc8feaa2625bbac94675ee51256de69ebfcf35d760cbfa39aaeda132dff7
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    This package contains the generics system described in the Scrap Your \
+    Boilerplate papers (see http://www.cs.uu.nl/wiki/GenericProgramming/SYB). \
+    It defines the Data class of types permitting folding and unfolding of \
+    constructor applications, instances of this class for primitive types, and \
+    a variety of traversals.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-text/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-text/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-text/Portfile	(revision 98944)
@@ -0,0 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   text 0.11.2.0
+checksums               rmd160  dc6719e9301183f8a4b08047580682d1eb2ebd01 \
+                        sha256  178d12eb0dad50f3ef5135c443b31993e91ed91b1d04a2ebfa5c05520518a5bb
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    An efficient packed, immutable Unicode text type (both strict and lazy), \
+    with a powerful loop fusion optimization framework.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-transformers/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-transformers/Portfile	(revision 98944)
+++ /trunk/dports/devel/hs-platform-transformers/Portfile	(revision 98944)
@@ -0,0 +1,26 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
+# $Id$
+
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
+
+haskellplatform.setup   transformers 0.3.0.0
+checksums               rmd160  110bd7eb44609d8db44d85f8367db323576545dc \
+                        sha256  e5aa0c1ec97ad98c389e78f59aca25ab028980a7068a3e585e39564662739591
+
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
+
+description             \
+    A portable library of functor and monad transformers, inspired by the paper \
+    Functional Programming with Overloading and Higher-Order Polymorphism, by \
+    Mark P Jones, in Advanced School of Functional Programming, 1995
+long_description        ${description} \
+    This package contains:\n\
+     - the monad transformer class (in Control.Monad.Trans.Class)\n\
+     - concrete functor and monad transformers, each with associated operations \
+       and functions to lift operations associated with other transformers.\n\
+    It can be used on its own in portable Haskell code, or with the monad \
+    classes in the mtl or monads-tf packages, which automatically lift \
+    operations introduced by monad transformers through other transformers.
Index: /trunk/dports/devel/hs-platform-xhtml/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-xhtml/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-xhtml/Portfile	(revision 98944)
@@ -1,32 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	xhtml 3000.2.0.1
-name		hs-platform-xhtml
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   xhtml 3000.2.1
+checksums               rmd160  72e1095df0a8111ea696749d219df4ea78da1b4f \
+                        sha256  33020782170c1c083bc59fc3bfcb72cec2db223e02d1181c07ae23b9fa7fdcd8
 
-description	An XHTML combinator library
-long_description	\
-	This package provides combinators for producing		\
-	XHTML 1.0, including the Strict, Transitional and Frameset variants.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-homepage	http://semantic.org/TimeLib/
-
-checksums	md5     9e3e7d9c66618c5e29716f90e54363c9 \
-		sha1    2dc5765491a12bed90a147221a626c7840e19944 \
-		rmd160  96afa674a6049ee460257623308ff5fe1299b271
-
-depends_lib	port:ghc
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             \
+    This package provides combinators for producing XHTML 1.0, including the \
+    Strict, Transitional and Frameset variants.
+long_description        ${description}
